com.veriplace.web.servlet
Annotation Type UsesVeriplace


@Retention(value=RUNTIME)
@Target(value=TYPE)
@Inherited
public @interface UsesVeriplace

Attach this annotation to a servlet class derived from AbstractVeriplaceServlet to specify what Veriplace requests to make. It has no effect if used in a class that is not derived from AbstractVeriplaceServlet.


Optional Element Summary
 boolean allowUserInteraction
          This property is true (the default) if Veriplace is allowed to solicit user interaction (i.e.
 java.lang.String mode
          Specifies the method or degree of accuracy for obtaining location.
 boolean requireGetLocationPermission
          Set this property to true if the servlet needs permission to get the current user's location.
 boolean requireLocation
          Set this property to true if the servlet needs to know the current user's location.
 boolean requireUser
          Set this property to true if the servlet needs to know the current Veriplace user.
 boolean useStatusViews
          Set this property to false if you do not want Veriplace to try to display automatic pages for error and waiting conditions.
 

requireUser

public abstract boolean requireUser
Set this property to true if the servlet needs to know the current Veriplace user.

This property triggers the Veriplace user discovery process, which may include a redirect to an external page. If the process fails or is cancelled by the user, the request will be redirected to an error page.

If you specify requireLocation(), the location request includes discovery of the current user; you only need to specify requireUser() if you need to do something different, such as getting the user ID when you are not requesting the location, or specifying allowUserInteraction() = false.

Default:
false

allowUserInteraction

public abstract boolean allowUserInteraction
This property is true (the default) if Veriplace is allowed to solicit user interaction (i.e. show a login page). Set it to false if user discovery can only use the current login cookie.

If you need the value of this property to vary depending on some request parameter, you can set it by overriding AbstractVeriplaceServlet.setupVeriplaceState(javax.servlet.http.HttpServletRequest, com.veriplace.web.VeriplaceState) instead.

Default:
true

requireLocation

public abstract boolean requireLocation
Set this property to true if the servlet needs to know the current user's location.

This property triggers a Veriplace location request, which may include a redirect to an external page. If the process fails or is cancelled by the user, the request will be redirected to an error page.

Default:
false

mode

public abstract java.lang.String mode
Specifies the method or degree of accuracy for obtaining location. The names of allowable location modes are defined in LocationMode.

If you need the value of this property to vary depending on some request parameter, you can set it by overriding AbstractVeriplaceServlet.setupVeriplaceState(javax.servlet.http.HttpServletRequest, com.veriplace.web.VeriplaceState) instead.

Default:
""

requireGetLocationPermission

public abstract boolean requireGetLocationPermission
Set this property to true if the servlet needs permission to get the current user's location.

This property triggers a Veriplace permission request, which may include a redirect to an external page. If the process fails or is cancelled by the user, the request will be redirected to an error page.

Default:
false

useStatusViews

public abstract boolean useStatusViews
Set this property to false if you do not want Veriplace to try to display automatic pages for error and waiting conditions. See StatusViewRenderer.

Default:
true